EVAS_API EVAS_API_WEAK const Efl_Event_Description _EFL_CANVAS_OBJECT_EVENT_ANIMATOR_TICK =
   EFL_EVENT_DESCRIPTION("animator,tick");

Eina_Bool _efl_canvas_object_pointer_mode_by_device_set(Eo *obj, Evas_Object_Protected_Data *pd, Efl_Input_Device *dev, Efl_Input_Object_Pointer_Mode pointer_mode);

EVAS_API EVAS_API_WEAK EFL_FUNC_BODYV(efl_canvas_object_pointer_mode_by_device_set, Eina_Bool, 0, EFL_FUNC_CALL(dev, pointer_mode), Efl_Input_Device *dev, Efl_Input_Object_Pointer_Mode pointer_mode);

Efl_Input_Object_Pointer_Mode _efl_canvas_object_pointer_mode_by_device_get(const Eo *obj, Evas_Object_Protected_Data *pd, Efl_Input_Device *dev);

EVAS_API EVAS_API_WEAK EFL_FUNC_BODYV_CONST(efl_canvas_object_pointer_mode_by_device_get, Efl_Input_Object_Pointer_Mode, 0, EFL_FUNC_CALL(dev), Efl_Input_Device *dev);

Eina_Bool _efl_canvas_object_pointer_mode_set(Eo *obj, Evas_Object_Protected_Data *pd, Efl_Input_Object_Pointer_Mode pointer_mode);

EVAS_API EVAS_API_WEAK EFL_FUNC_BODYV(efl_canvas_object_pointer_mode_set, Eina_Bool, 0, EFL_FUNC_CALL(pointer_mode), Efl_Input_Object_Pointer_Mode pointer_mode);

Efl_Input_Object_Pointer_Mode _efl_canvas_object_pointer_mode_get(const Eo *obj, Evas_Object_Protected_Data *pd);

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_canvas_object_pointer_mode_get, Efl_Input_Object_Pointer_Mode, 0 /* Efl.Input.Object_Pointer_Mode.auto_grab */);

void _efl_canvas_object_render_op_set(Eo *obj, Evas_Object_Protected_Data *pd, Efl_Gfx_Render_Op render_op);

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(efl_canvas_object_render_op_set, EFL_FUNC_CALL(render_op), Efl_Gfx_Render_Op render_op);

Efl_Gfx_Render_Op _efl_canvas_object_render_op_get(const Eo *obj, Evas_Object_Protected_Data *pd);

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_canvas_object_render_op_get, Efl_Gfx_Render_Op, 0);

void _efl_canvas_object_clipper_set(Eo *obj, Evas_Object_Protected_Data *pd, Efl_Canvas_Object *clipper);

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(efl_canvas_object_clipper_set, EFL_FUNC_CALL(clipper), Efl_Canvas_Object *clipper);

Efl_Canvas_Object *_efl_canvas_object_clipper_get(const Eo *obj, Evas_Object_Protected_Data *pd);

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_canvas_object_clipper_get, Efl_Canvas_Object *, NULL);

void _efl_canvas_object_has_fixed_size_set(Eo *obj, Evas_Object_Protected_Data *pd, Eina_Bool enable);


static Eina_Error
__eolian_efl_canvas_object_has_fixed_size_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_canvas_object_has_fixed_size_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(efl_canvas_object_has_fixed_size_set, EFL_FUNC_CALL(enable), Eina_Bool enable);

Eina_Bool _efl_canvas_object_has_fixed_size_get(const Eo *obj, Evas_Object_Protected_Data *pd);


static Eina_Value
__eolian_efl_canvas_object_has_fixed_size_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_canvas_object_has_fixed_size_get(obj);
   return eina_value_bool_init(val);
}

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_canvas_object_has_fixed_size_get, Eina_Bool, 0);

void _efl_canvas_object_repeat_events_set(Eo *obj, Evas_Object_Protected_Data *pd, Eina_Bool repeat);


static Eina_Error
__eolian_efl_canvas_object_repeat_events_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_canvas_object_repeat_events_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(efl_canvas_object_repeat_events_set, EFL_FUNC_CALL(repeat), Eina_Bool repeat);

Eina_Bool _efl_canvas_object_repeat_events_get(const Eo *obj, Evas_Object_Protected_Data *pd);


static Eina_Value
__eolian_efl_canvas_object_repeat_events_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_canvas_object_repeat_events_get(obj);
   return eina_value_bool_init(val);
}

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_canvas_object_repeat_events_get, Eina_Bool, 0);

void _efl_canvas_object_key_focus_set(Eo *obj, Evas_Object_Protected_Data *pd, Eina_Bool focus);


static Eina_Error
__eolian_efl_canvas_object_key_focus_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_canvas_object_key_focus_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(efl_canvas_object_key_focus_set, EFL_FUNC_CALL(focus), Eina_Bool focus);

Eina_Bool _efl_canvas_object_key_focus_get(const Eo *obj, Evas_Object_Protected_Data *pd);


static Eina_Value
__eolian_efl_canvas_object_key_focus_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_canvas_object_key_focus_get(obj);
   return eina_value_bool_init(val);
}

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_canvas_object_key_focus_get, Eina_Bool, 0);

Eina_Bool _efl_canvas_object_seat_focus_get(const Eo *obj, Evas_Object_Protected_Data *pd);


static Eina_Value
__eolian_efl_canvas_object_seat_focus_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_canvas_object_seat_focus_get(obj);
   return eina_value_bool_init(val);
}

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_canvas_object_seat_focus_get, Eina_Bool, 0);

Eina_Bool _efl_canvas_object_seat_focus_check(Eo *obj, Evas_Object_Protected_Data *pd, Efl_Input_Device *seat);

EVAS_API EVAS_API_WEAK EFL_FUNC_BODYV(efl_canvas_object_seat_focus_check, Eina_Bool, 0, EFL_FUNC_CALL(seat), Efl_Input_Device *seat);

Eina_Bool _efl_canvas_object_seat_focus_add(Eo *obj, Evas_Object_Protected_Data *pd, Efl_Input_Device *seat);

EVAS_API EVAS_API_WEAK EFL_FUNC_BODYV(efl_canvas_object_seat_focus_add, Eina_Bool, 0, EFL_FUNC_CALL(seat), Efl_Input_Device *seat);

Eina_Bool _efl_canvas_object_seat_focus_del(Eo *obj, Evas_Object_Protected_Data *pd, Efl_Input_Device *seat);

EVAS_API EVAS_API_WEAK EFL_FUNC_BODYV(efl_canvas_object_seat_focus_del, Eina_Bool, 0, EFL_FUNC_CALL(seat), Efl_Input_Device *seat);

void _efl_canvas_object_precise_is_inside_set(Eo *obj, Evas_Object_Protected_Data *pd, Eina_Bool precise);


static Eina_Error
__eolian_efl_canvas_object_precise_is_inside_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_canvas_object_precise_is_inside_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(efl_canvas_object_precise_is_inside_set, EFL_FUNC_CALL(precise), Eina_Bool precise);

Eina_Bool _efl_canvas_object_precise_is_inside_get(const Eo *obj, Evas_Object_Protected_Data *pd);


static Eina_Value
__eolian_efl_canvas_object_precise_is_inside_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_canvas_object_precise_is_inside_get(obj);
   return eina_value_bool_init(val);
}

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_canvas_object_precise_is_inside_get, Eina_Bool, EINA_FALSE /* false */);

void _efl_canvas_object_propagate_events_set(Eo *obj, Evas_Object_Protected_Data *pd, Eina_Bool propagate);


static Eina_Error
__eolian_efl_canvas_object_propagate_events_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_canvas_object_propagate_events_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(efl_canvas_object_propagate_events_set, EFL_FUNC_CALL(propagate), Eina_Bool propagate);

Eina_Bool _efl_canvas_object_propagate_events_get(const Eo *obj, Evas_Object_Protected_Data *pd);


static Eina_Value
__eolian_efl_canvas_object_propagate_events_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_canvas_object_propagate_events_get(obj);
   return eina_value_bool_init(val);
}

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_canvas_object_propagate_events_get, Eina_Bool, EINA_TRUE /* true */);

void _efl_canvas_object_pass_events_set(Eo *obj, Evas_Object_Protected_Data *pd, Eina_Bool pass);


static Eina_Error
__eolian_efl_canvas_object_pass_events_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_canvas_object_pass_events_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(efl_canvas_object_pass_events_set, EFL_FUNC_CALL(pass), Eina_Bool pass);

Eina_Bool _efl_canvas_object_pass_events_get(const Eo *obj, Evas_Object_Protected_Data *pd);


static Eina_Value
__eolian_efl_canvas_object_pass_events_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_canvas_object_pass_events_get(obj);
   return eina_value_bool_init(val);
}

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_canvas_object_pass_events_get, Eina_Bool, 0);

void _efl_canvas_object_anti_alias_set(Eo *obj, Evas_Object_Protected_Data *pd, Eina_Bool anti_alias);


static Eina_Error
__eolian_efl_canvas_object_anti_alias_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_canvas_object_anti_alias_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(efl_canvas_object_anti_alias_set, EFL_FUNC_CALL(anti_alias), Eina_Bool anti_alias);

Eina_Bool _efl_canvas_object_anti_alias_get(const Eo *obj, Evas_Object_Protected_Data *pd);


static Eina_Value
__eolian_efl_canvas_object_anti_alias_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_canvas_object_anti_alias_get(obj);
   return eina_value_bool_init(val);
}

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_canvas_object_anti_alias_get, Eina_Bool, 0);

Eina_Iterator *_efl_canvas_object_clipped_objects_get(const Eo *obj, Evas_Object_Protected_Data *pd);

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_canvas_object_clipped_objects_get, Eina_Iterator *, NULL);

Efl_Canvas_Object *_efl_canvas_object_render_parent_get(const Eo *obj, Evas_Object_Protected_Data *pd);

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_canvas_object_render_parent_get, Efl_Canvas_Object *, NULL);

void _efl_canvas_object_paragraph_direction_set(Eo *obj, Evas_Object_Protected_Data *pd, Efl_Text_Bidirectional_Type dir);

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(efl_canvas_object_paragraph_direction_set, EFL_FUNC_CALL(dir), Efl_Text_Bidirectional_Type dir);

Efl_Text_Bidirectional_Type _efl_canvas_object_paragraph_direction_get(const Eo *obj, Evas_Object_Protected_Data *pd);

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_canvas_object_paragraph_direction_get, Efl_Text_Bidirectional_Type, 0);

unsigned int _efl_canvas_object_clipped_objects_count(const Eo *obj, Evas_Object_Protected_Data *pd);

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_canvas_object_clipped_objects_count, unsigned int, 0);

Eina_Bool _efl_canvas_object_key_grab(Eo *obj, Evas_Object_Protected_Data *pd, const char *keyname, Efl_Input_Modifier modifiers, Efl_Input_Modifier not_modifiers, Eina_Bool exclusive);

EVAS_API EVAS_API_WEAK EFL_FUNC_BODYV(efl_canvas_object_key_grab, Eina_Bool, 0, EFL_FUNC_CALL(keyname, modifiers, not_modifiers, exclusive), const char *keyname, Efl_Input_Modifier modifiers, Efl_Input_Modifier not_modifiers, Eina_Bool exclusive);

void _efl_canvas_object_key_ungrab(Eo *obj, Evas_Object_Protected_Data *pd, const char *keyname, Efl_Input_Modifier modifiers, Efl_Input_Modifier not_modifiers);

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(efl_canvas_object_key_ungrab, EFL_FUNC_CALL(keyname, modifiers, not_modifiers), const char *keyname, Efl_Input_Modifier modifiers, Efl_Input_Modifier not_modifiers);

void _efl_canvas_object_no_render_set(Eo *obj, Evas_Object_Protected_Data *pd, Eina_Bool enable);


static Eina_Error
__eolian_efl_canvas_object_no_render_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_canvas_object_no_render_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(efl_canvas_object_no_render_set, EFL_FUNC_CALL(enable), Eina_Bool enable);

Eina_Bool _efl_canvas_object_no_render_get(const Eo *obj, Evas_Object_Protected_Data *pd);


static Eina_Value
__eolian_efl_canvas_object_no_render_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_canvas_object_no_render_get(obj);
   return eina_value_bool_init(val);
}

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_canvas_object_no_render_get, Eina_Bool, 0);

Eina_Bool _efl_canvas_object_coords_inside_get(const Eo *obj, Evas_Object_Protected_Data *pd, Eina_Position2D pos);

EVAS_API EVAS_API_WEAK EFL_FUNC_BODYV_CONST(efl_canvas_object_coords_inside_get, Eina_Bool, 0, EFL_FUNC_CALL(pos), Eina_Position2D pos);

Efl_Object *_efl_canvas_object_efl_object_constructor(Eo *obj, Evas_Object_Protected_Data *pd);


Efl_Object *_efl_canvas_object_efl_object_finalize(Eo *obj, Evas_Object_Protected_Data *pd);


void _efl_canvas_object_efl_object_invalidate(Eo *obj, Evas_Object_Protected_Data *pd);


void _efl_canvas_object_efl_object_destructor(Eo *obj, Evas_Object_Protected_Data *pd);


Efl_Object *_efl_canvas_object_efl_object_provider_find(const Eo *obj, Evas_Object_Protected_Data *pd, const Efl_Class *klass);


void _efl_canvas_object_efl_object_event_freeze(Eo *obj, Evas_Object_Protected_Data *pd);


void _efl_canvas_object_efl_object_event_thaw(Eo *obj, Evas_Object_Protected_Data *pd);


void _efl_canvas_object_efl_object_debug_name_override(Eo *obj, Evas_Object_Protected_Data *pd, Eina_Strbuf *sb);


void _efl_canvas_object_efl_gfx_entity_visible_set(Eo *obj, Evas_Object_Protected_Data *pd, Eina_Bool v);


Eina_Bool _efl_canvas_object_efl_gfx_entity_visible_get(const Eo *obj, Evas_Object_Protected_Data *pd);


void _efl_canvas_object_efl_gfx_color_color_set(Eo *obj, Evas_Object_Protected_Data *pd, int r, int g, int b, int a);


void _efl_canvas_object_efl_gfx_color_color_get(const Eo *obj, Evas_Object_Protected_Data *pd, int *r, int *g, int *b, int *a);


void _efl_canvas_object_efl_gfx_entity_geometry_set(Eo *obj, Evas_Object_Protected_Data *pd, Eina_Rect rect);


Eina_Rect _efl_canvas_object_efl_gfx_entity_geometry_get(const Eo *obj, Evas_Object_Protected_Data *pd);


void _efl_canvas_object_efl_gfx_entity_position_set(Eo *obj, Evas_Object_Protected_Data *pd, Eina_Position2D pos);


Eina_Position2D _efl_canvas_object_efl_gfx_entity_position_get(const Eo *obj, Evas_Object_Protected_Data *pd);


void _efl_canvas_object_efl_gfx_entity_size_set(Eo *obj, Evas_Object_Protected_Data *pd, Eina_Size2D size);


Eina_Size2D _efl_canvas_object_efl_gfx_entity_size_get(const Eo *obj, Evas_Object_Protected_Data *pd);


void _efl_canvas_object_efl_gfx_stack_layer_set(Eo *obj, Evas_Object_Protected_Data *pd, short l);


short _efl_canvas_object_efl_gfx_stack_layer_get(const Eo *obj, Evas_Object_Protected_Data *pd);


Efl_Gfx_Stack *_efl_canvas_object_efl_gfx_stack_below_get(const Eo *obj, Evas_Object_Protected_Data *pd);


Efl_Gfx_Stack *_efl_canvas_object_efl_gfx_stack_above_get(const Eo *obj, Evas_Object_Protected_Data *pd);


void _efl_canvas_object_efl_gfx_stack_stack_below(Eo *obj, Evas_Object_Protected_Data *pd, Efl_Gfx_Stack *below);


void _efl_canvas_object_efl_gfx_stack_stack_above(Eo *obj, Evas_Object_Protected_Data *pd, Efl_Gfx_Stack *above);


void _efl_canvas_object_efl_gfx_stack_raise_to_top(Eo *obj, Evas_Object_Protected_Data *pd);


void _efl_canvas_object_efl_gfx_stack_lower_to_bottom(Eo *obj, Evas_Object_Protected_Data *pd);


void _efl_canvas_object_efl_gfx_hint_hint_aspect_set(Eo *obj, Evas_Object_Protected_Data *pd, Efl_Gfx_Hint_Aspect mode, Eina_Size2D sz);


void _efl_canvas_object_efl_gfx_hint_hint_aspect_get(const Eo *obj, Evas_Object_Protected_Data *pd, Efl_Gfx_Hint_Aspect *mode, Eina_Size2D *sz);


void _efl_canvas_object_efl_gfx_hint_hint_align_set(Eo *obj, Evas_Object_Protected_Data *pd, Efl_Gfx_Align x, Efl_Gfx_Align y);


void _efl_canvas_object_efl_gfx_hint_hint_align_get(const Eo *obj, Evas_Object_Protected_Data *pd, Efl_Gfx_Align *x, Efl_Gfx_Align *y);

static void __eolian_efl_canvas_object_efl_gfx_hint_hint_align_get(const Eo *obj, Evas_Object_Protected_Data *pd, Efl_Gfx_Align *x, Efl_Gfx_Align *y)
{
   if (x) *x = 0.500000;
   if (y) *y = 0.500000;
   _efl_canvas_object_efl_gfx_hint_hint_align_get(obj, pd, x, y);
}


Eina_Size2D _efl_canvas_object_efl_gfx_hint_hint_size_combined_min_get(const Eo *obj, Evas_Object_Protected_Data *pd);


Eina_Size2D _efl_canvas_object_efl_gfx_hint_hint_size_combined_max_get(const Eo *obj, Evas_Object_Protected_Data *pd);


void _efl_canvas_object_efl_gfx_hint_hint_size_restricted_min_set(Eo *obj, Evas_Object_Protected_Data *pd, Eina_Size2D sz);


Eina_Size2D _efl_canvas_object_efl_gfx_hint_hint_size_restricted_min_get(const Eo *obj, Evas_Object_Protected_Data *pd);


void _efl_canvas_object_efl_gfx_hint_hint_size_restricted_max_set(Eo *obj, Evas_Object_Protected_Data *pd, Eina_Size2D sz);


Eina_Size2D _efl_canvas_object_efl_gfx_hint_hint_size_restricted_max_get(const Eo *obj, Evas_Object_Protected_Data *pd);


void _efl_canvas_object_efl_gfx_hint_hint_size_min_set(Eo *obj, Evas_Object_Protected_Data *pd, Eina_Size2D sz);


Eina_Size2D _efl_canvas_object_efl_gfx_hint_hint_size_min_get(const Eo *obj, Evas_Object_Protected_Data *pd);


void _efl_canvas_object_efl_gfx_hint_hint_size_max_set(Eo *obj, Evas_Object_Protected_Data *pd, Eina_Size2D sz);


Eina_Size2D _efl_canvas_object_efl_gfx_hint_hint_size_max_get(const Eo *obj, Evas_Object_Protected_Data *pd);


void _efl_canvas_object_efl_gfx_hint_hint_margin_set(Eo *obj, Evas_Object_Protected_Data *pd, int l, int r, int t, int b);


void _efl_canvas_object_efl_gfx_hint_hint_margin_get(const Eo *obj, Evas_Object_Protected_Data *pd, int *l, int *r, int *t, int *b);


void _efl_canvas_object_efl_gfx_hint_hint_weight_set(Eo *obj, Evas_Object_Protected_Data *pd, double x, double y);


void _efl_canvas_object_efl_gfx_hint_hint_weight_get(const Eo *obj, Evas_Object_Protected_Data *pd, double *x, double *y);


void _efl_canvas_object_efl_gfx_hint_hint_fill_set(Eo *obj, Evas_Object_Protected_Data *pd, Eina_Bool x, Eina_Bool y);


void _efl_canvas_object_efl_gfx_hint_hint_fill_get(const Eo *obj, Evas_Object_Protected_Data *pd, Eina_Bool *x, Eina_Bool *y);


void _efl_canvas_object_efl_gfx_entity_scale_set(Eo *obj, Evas_Object_Protected_Data *pd, double scale);


double _efl_canvas_object_efl_gfx_entity_scale_get(const Eo *obj, Evas_Object_Protected_Data *pd);


void _efl_canvas_object_efl_input_interface_seat_event_filter_set(Eo *obj, Evas_Object_Protected_Data *pd, Efl_Input_Device *seat, Eina_Bool enable);


Eina_Bool _efl_canvas_object_efl_input_interface_seat_event_filter_get(const Eo *obj, Evas_Object_Protected_Data *pd, Efl_Input_Device *seat);


Efl_Loop *_efl_canvas_object_efl_loop_consumer_loop_get(const Eo *obj, Evas_Object_Protected_Data *pd);


Eina_Bool _efl_canvas_object_efl_canvas_pointer_pointer_inside_get(const Eo *obj, Evas_Object_Protected_Data *pd, Efl_Input_Device *seat);


static Eina_Bool
_efl_canvas_object_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_CANVAS_OBJECT_EXTRA_OPS
#define EFL_CANVAS_OBJECT_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_canvas_object_pointer_mode_by_device_set, _efl_canvas_object_pointer_mode_by_device_set),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_pointer_mode_by_device_get, _efl_canvas_object_pointer_mode_by_device_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_pointer_mode_set, _efl_canvas_object_pointer_mode_set),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_pointer_mode_get, _efl_canvas_object_pointer_mode_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_render_op_set, _efl_canvas_object_render_op_set),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_render_op_get, _efl_canvas_object_render_op_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_clipper_set, _efl_canvas_object_clipper_set),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_clipper_get, _efl_canvas_object_clipper_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_has_fixed_size_set, _efl_canvas_object_has_fixed_size_set),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_has_fixed_size_get, _efl_canvas_object_has_fixed_size_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_repeat_events_set, _efl_canvas_object_repeat_events_set),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_repeat_events_get, _efl_canvas_object_repeat_events_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_key_focus_set, _efl_canvas_object_key_focus_set),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_key_focus_get, _efl_canvas_object_key_focus_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_seat_focus_get, _efl_canvas_object_seat_focus_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_seat_focus_check, _efl_canvas_object_seat_focus_check),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_seat_focus_add, _efl_canvas_object_seat_focus_add),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_seat_focus_del, _efl_canvas_object_seat_focus_del),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_precise_is_inside_set, _efl_canvas_object_precise_is_inside_set),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_precise_is_inside_get, _efl_canvas_object_precise_is_inside_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_propagate_events_set, _efl_canvas_object_propagate_events_set),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_propagate_events_get, _efl_canvas_object_propagate_events_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_pass_events_set, _efl_canvas_object_pass_events_set),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_pass_events_get, _efl_canvas_object_pass_events_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_anti_alias_set, _efl_canvas_object_anti_alias_set),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_anti_alias_get, _efl_canvas_object_anti_alias_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_clipped_objects_get, _efl_canvas_object_clipped_objects_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_render_parent_get, _efl_canvas_object_render_parent_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_paragraph_direction_set, _efl_canvas_object_paragraph_direction_set),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_paragraph_direction_get, _efl_canvas_object_paragraph_direction_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_clipped_objects_count, _efl_canvas_object_clipped_objects_count),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_key_grab, _efl_canvas_object_key_grab),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_key_ungrab, _efl_canvas_object_key_ungrab),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_no_render_set, _efl_canvas_object_no_render_set),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_no_render_get, _efl_canvas_object_no_render_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_coords_inside_get, _efl_canvas_object_coords_inside_get),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_canvas_object_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_finalize, _efl_canvas_object_efl_object_finalize),
      EFL_OBJECT_OP_FUNC(efl_invalidate, _efl_canvas_object_efl_object_invalidate),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_canvas_object_efl_object_destructor),
      EFL_OBJECT_OP_FUNC(efl_provider_find, _efl_canvas_object_efl_object_provider_find),
      EFL_OBJECT_OP_FUNC(efl_event_freeze, _efl_canvas_object_efl_object_event_freeze),
      EFL_OBJECT_OP_FUNC(efl_event_thaw, _efl_canvas_object_efl_object_event_thaw),
      EFL_OBJECT_OP_FUNC(efl_debug_name_override, _efl_canvas_object_efl_object_debug_name_override),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_visible_set, _efl_canvas_object_efl_gfx_entity_visible_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_visible_get, _efl_canvas_object_efl_gfx_entity_visible_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_color_set, _efl_canvas_object_efl_gfx_color_color_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_color_get, _efl_canvas_object_efl_gfx_color_color_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_geometry_set, _efl_canvas_object_efl_gfx_entity_geometry_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_geometry_get, _efl_canvas_object_efl_gfx_entity_geometry_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_position_set, _efl_canvas_object_efl_gfx_entity_position_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_position_get, _efl_canvas_object_efl_gfx_entity_position_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_size_set, _efl_canvas_object_efl_gfx_entity_size_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_size_get, _efl_canvas_object_efl_gfx_entity_size_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_stack_layer_set, _efl_canvas_object_efl_gfx_stack_layer_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_stack_layer_get, _efl_canvas_object_efl_gfx_stack_layer_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_stack_below_get, _efl_canvas_object_efl_gfx_stack_below_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_stack_above_get, _efl_canvas_object_efl_gfx_stack_above_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_stack_below, _efl_canvas_object_efl_gfx_stack_stack_below),
      EFL_OBJECT_OP_FUNC(efl_gfx_stack_above, _efl_canvas_object_efl_gfx_stack_stack_above),
      EFL_OBJECT_OP_FUNC(efl_gfx_stack_raise_to_top, _efl_canvas_object_efl_gfx_stack_raise_to_top),
      EFL_OBJECT_OP_FUNC(efl_gfx_stack_lower_to_bottom, _efl_canvas_object_efl_gfx_stack_lower_to_bottom),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_aspect_set, _efl_canvas_object_efl_gfx_hint_hint_aspect_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_aspect_get, _efl_canvas_object_efl_gfx_hint_hint_aspect_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_align_set, _efl_canvas_object_efl_gfx_hint_hint_align_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_align_get, __eolian_efl_canvas_object_efl_gfx_hint_hint_align_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_size_combined_min_get, _efl_canvas_object_efl_gfx_hint_hint_size_combined_min_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_size_combined_max_get, _efl_canvas_object_efl_gfx_hint_hint_size_combined_max_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_size_restricted_min_set, _efl_canvas_object_efl_gfx_hint_hint_size_restricted_min_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_size_restricted_min_get, _efl_canvas_object_efl_gfx_hint_hint_size_restricted_min_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_size_restricted_max_set, _efl_canvas_object_efl_gfx_hint_hint_size_restricted_max_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_size_restricted_max_get, _efl_canvas_object_efl_gfx_hint_hint_size_restricted_max_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_size_min_set, _efl_canvas_object_efl_gfx_hint_hint_size_min_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_size_min_get, _efl_canvas_object_efl_gfx_hint_hint_size_min_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_size_max_set, _efl_canvas_object_efl_gfx_hint_hint_size_max_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_size_max_get, _efl_canvas_object_efl_gfx_hint_hint_size_max_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_margin_set, _efl_canvas_object_efl_gfx_hint_hint_margin_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_margin_get, _efl_canvas_object_efl_gfx_hint_hint_margin_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_weight_set, _efl_canvas_object_efl_gfx_hint_hint_weight_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_weight_get, _efl_canvas_object_efl_gfx_hint_hint_weight_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_fill_set, _efl_canvas_object_efl_gfx_hint_hint_fill_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_fill_get, _efl_canvas_object_efl_gfx_hint_hint_fill_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_scale_set, _efl_canvas_object_efl_gfx_entity_scale_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_scale_get, _efl_canvas_object_efl_gfx_entity_scale_get),
      EFL_OBJECT_OP_FUNC(efl_input_seat_event_filter_set, _efl_canvas_object_efl_input_interface_seat_event_filter_set),
      EFL_OBJECT_OP_FUNC(efl_input_seat_event_filter_get, _efl_canvas_object_efl_input_interface_seat_event_filter_get),
      EFL_OBJECT_OP_FUNC(efl_loop_get, _efl_canvas_object_efl_loop_consumer_loop_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_pointer_inside_get, _efl_canvas_object_efl_canvas_pointer_pointer_inside_get),
      EFL_CANVAS_OBJECT_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"has_fixed_size", __eolian_efl_canvas_object_has_fixed_size_set_reflect, __eolian_efl_canvas_object_has_fixed_size_get_reflect},
      {"repeat_events", __eolian_efl_canvas_object_repeat_events_set_reflect, __eolian_efl_canvas_object_repeat_events_get_reflect},
      {"key_focus", __eolian_efl_canvas_object_key_focus_set_reflect, __eolian_efl_canvas_object_key_focus_get_reflect},
      {"seat_focus", NULL, __eolian_efl_canvas_object_seat_focus_get_reflect},
      {"precise_is_inside", __eolian_efl_canvas_object_precise_is_inside_set_reflect, __eolian_efl_canvas_object_precise_is_inside_get_reflect},
      {"propagate_events", __eolian_efl_canvas_object_propagate_events_set_reflect, __eolian_efl_canvas_object_propagate_events_get_reflect},
      {"pass_events", __eolian_efl_canvas_object_pass_events_set_reflect, __eolian_efl_canvas_object_pass_events_get_reflect},
      {"anti_alias", __eolian_efl_canvas_object_anti_alias_set_reflect, __eolian_efl_canvas_object_anti_alias_get_reflect},
      {"no_render", __eolian_efl_canvas_object_no_render_set_reflect, __eolian_efl_canvas_object_no_render_get_reflect},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_canvas_object_class_desc = {
   EO_VERSION,
   "Efl.Canvas.Object",
   EFL_CLASS_TYPE_REGULAR_NO_INSTANT,
   sizeof(Evas_Object_Protected_Data),
   _efl_canvas_object_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_canvas_object_class_get, &_efl_canvas_object_class_desc, EFL_LOOP_CONSUMER_CLASS, EFL_GFX_ENTITY_INTERFACE, EFL_GFX_COLOR_MIXIN, EFL_GFX_STACK_INTERFACE, EFL_INPUT_INTERFACE_INTERFACE, EFL_GFX_HINT_INTERFACE, EFL_GFX_MAPPING_MIXIN, EFL_CANVAS_POINTER_INTERFACE, EFL_CANVAS_OBJECT_ANIMATION_MIXIN, NULL);
